function onBegin()

	disableMovement()
	waitUntilOnGround()
	
	wait(1.0) --general movement
	walkTo(10480) 
	wait(0.05)
	
	--for the small ducking animation
	currentplayer.DummyAutoAnimate = false --disables the idle animation
	currentplayer.Sprite:Play("duck")
	wait(1.25)
	currentplayer.DummyAutoAnimate = true
	
	-- jumping movement
	jump(2) 
	run(75)
	wait(0.25)
	
	--for the looking up animation
	currentplayer.DummyAutoAnimate = false --disables the idle animation
	currentplayer.Sprite:Play("lookUp")
	wait(1.75) --Or however long maddy needs to look up for
	currentplayer.DummyAutoAnimate = true
	wait(0.75)
	
	run(80, true)--begin walking offscreen
	completeArea(true,false,true)
	run(32, true)
	endCutscene()
end

function onStay(player) --gets the player from inStay and puts it into currentplayer for later use
	
	currentplayer = player
end


function onEnd(level, wasSkipped) --if skipped just complete the map
    if wasSkipped then
		completeArea(false,true,true)
    end
end

return onBegin, onEnd